## Translations

XPipe 9 now comes with many translations for the user interface. These were initially generated with DeepL and can be easily improved and corrected by anyone on GitHub. You can check them out in action and if there is any translation you don't like, submit a quick pull request to fix it. For instructions on how to do this, see https://github.com/xpipe-io/xpipe/tree/master/lang.

## VNC support

This release comes with initial support for VNC. Any VNC connections are fully handled over automatic SSH tunnels and can therefore be established on top of any existing SSH connection you have in XPipe.

Note that this feature right now is in an early stage and open for feedback.

## RDP launcher

RDP is a much more complex protocol than VNC, so for now RDP support is not built-in. It is instead realized similar to the terminal support, i.e. by launching your preferred RDP client with the connection information. The general implementation is also subject to change .

Note that this feature right now is in an early stage and open for feedback.

## SSH connection improvements

- The custom SSH connections now properly apply all configuration options of your user configuration file.

- There is now support defining multiple host entries in place in a custom SSH connection. This is useful for cases where you want to use ProxyJump hosts in place without having to define them elsewhere.

- The connection establishment has been reworked to reduce the amount of double prompts, e.g. for smartcards of 2FA, where user input is required twice. 

- There's now an option to not let XPipe interact with the system. In case a system that does not run a known command shell, e.g. a router, link, or some IOT device, XPipe was previously unable to detect the shell type and errored out after some time. This option fixes this problem.

- Any value specified for the `RemoteCommand` config option will now be properly applied when launching a terminal. This allows you to still use your preexisting init command setup, e.g. with tmux.

## SSH X11 Forwarding

You can now enable X11 forwarding for an SSH connection.

XPipe allows you to use the WSL2 X11 capabilities on Windows for your SSH connection. The only thing you need for this is a [WSL2](https://learn.microsoft.com/en-us/windows/wsl/install) distribution installed on your local system. XPipe it will automatically choose a compatible installed distribution if possible, but you can also use another one in the settings menu.

This means that you don't need to install a separate X11 server on Windows. However, if you are using one anyway, XPipe will detect that and use the currently running X11 server.

## Terminal improvements

The terminal integrations have been reworked across the board. To better show which terminals are well supported and which aren't, there is now a status indicator for every available terminal. This will show you how good the XPipe integration with each one is and which terminals are recommended to be used with XPipe. 

Furthermore, the kitty terminal is now fully supported with tabs on both Linux and macOS.

## Improved keyboard control

It is a goal to be able to use XPipe only with a keyboard. This can be done either for productivity reasons or for accessibility reasons. XPipe 9 introduces improved keyboard support with new shortcuts and improved focus control for navigating with the arrow keys, tab, space, and enter.

## Improved logo

The application logo has been improved with of regards to contrast and visibility, which often was a problem on dark backgrounds. It should now stand out on any background color.

## Other changes

- Fix macOS app failing to automatically restart after update
- The window title will now reflect which edition you use
- Fix file names not being properly adjusted when transferred across file systems and some characters were not supported on the target system
- Fix macOS desktop shortcuts not having an icon associated with them
- Upgrade to GraalVM 22
